aboutsummaryrefslogtreecommitdiffstats
path: root/csit/prepare-robot-env.sh
diff options
context:
space:
mode:
authoradheli.tavares <adheli.tavares@est.tech>2023-02-02 08:44:51 +0000
committeradheli.tavares <adheli.tavares@est.tech>2023-02-02 10:11:29 +0000
commitc6eb02ae0f1b9b69a248621e68dbc7a481ce95b7 (patch)
tree070fbbc0685ff2d9dab5a94c9c5bf11d272ca721 /csit/prepare-robot-env.sh
parent0700486a08b2bc08589f7e6b0be8338d6bbb4efa (diff)
Add configurations to run SLAs validations on CSITs
Issue-ID: POLICY-4531 Change-Id: Idf69fe888828fabd4ec0cd3c18fea7aff96caac8 Signed-off-by: adheli.tavares <adheli.tavares@est.tech>
Diffstat (limited to 'csit/prepare-robot-env.sh')
-rwxr-xr-xcsit/prepare-robot-env.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/csit/prepare-robot-env.sh b/csit/prepare-robot-env.sh
new file mode 100755
index 00000000..25376cda
--- /dev/null
+++ b/csit/prepare-robot-env.sh
@@ -0,0 +1,46 @@
+#!/bin/bash -x
+#
+# Copyright 2019 © Samsung Electronics Co., Ltd.
+# Modification Copyright 2021 © AT&T Intellectual Property.
+# Modification Copyright 2021-2023 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# This script installs common libraries required by CSIT tests
+#
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=$(git rev-parse --show-toplevel)
+fi
+
+ROBOT_VENV=$(mktemp -d)
+echo "ROBOT_VENV=${ROBOT_VENV}" >> "${WORKSPACE}/env.properties"
+
+echo "Python version is: $(python3 --version)"
+
+python3 -m venv --clear "${ROBOT_VENV}"
+source "${ROBOT_VENV}/bin/activate"
+
+set -exu
+
+python3 -m pip install --upgrade pip setuptools
+echo "Installing Python Requirements"
+python3 -m pip install -r ${SCRIPTS}/pylibs.txt
+python3 -m pip freeze
+
+# install eteutils
+mkdir -p "${ROBOT_VENV}"/src/onap
+rm -rf "${ROBOT_VENV}"/src/onap/testsuite
+python3 -m pip install --upgrade --extra-index-url="https://nexus3.onap.org/repository/PyPi.staging/simple" 'robotframework-onap==0.5.1.*' --pre
+
+python3 -m pip freeze